Summary: XMPP client
Name: swift
Version: 1.0
Release: 2%{?dist}
Group: Applications/Internet
License: GPLv3
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://gitorious.org/swift/swift.git
#  cd swift
# git archive --format=tar --prefix=swift-1.0beta6/ swift-1.0beta6 \
# | gzip > swift-1.0beta6.tar.gz
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.desktop
Patch0: swift-build.patch
Patch1: swift-login-crash.patch
URL: http://swift.im/
BuildRequires: scons
BuildRequires: qt-devel
BuildRequires: qt-webkit-devel
BuildRequires: openssl-devel
BuildRequires: expat-devel
BuildRequires: boost-devel
BuildRequires: libxslt
BuildRequires: zlib-devel
BuildRequires: docbook-dtds
BuildRequires: libidn-devel
BuildRequires: desktop-file-utils
BuildRequires: cppunit-devel
BuildRequires: avahi-devel

%description
Swift is an easy to setup and use Jabber/XMPP instant messaging chat
application.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

# Remove 3rd party libraries.
find 3rdParty/Boost -delete
find 3rdParty/SCons -delete
find 3rdParty/Expat -delete
find 3rdParty/LibIDN -delete
find 3rdParty/SQLite -delete
find 3rdParty/Lua -delete
find 3rdParty/ZLib -delete
find 3rdParty/CAres -delete
find 3rdParty/CppUnit -delete
find 3rdParty/LCov -delete
find 3rdParty/OpenSSL -delete
find 3rdParty/Snarl -delete
rm 3rdParty/hippomocks.h
# Swift fails to build with our docbook, but it's used only to generate
# documentation at compile time, so it's not problem.
#find 3rdParty/DocBook -delete 

echo 'qt="/usr"' > config.py
echo 'linkflags="-lpthread -lX11 -lQtDBus"' >> config.py
# ccflags have to be a list, not string
echo 'ccflags="%{optflags} -DBOOST_FILESYSTEM_VERSION=2".split(" ")' >> config.py

%build
scons V=1 Swift

%install
install -p -D -m 755 Swift/QtUI/swift \
    %{buildroot}%{_bindir}/swift
install -p -m 644 -D Swift/resources/logo/logo-icon-32.xpm \
    %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

# menu
desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}

%files
%defattr(-, root, root,-)
%doc COPYING
%{_bindir}/swift
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Tue Apr 26 2011 Jan Kaluza <jkaluza@redhat.com> - 1.0-2
- fix #697832 - fixed crash during login

* Tue Apr 19 2011 Jan Kaluza <jkaluza@redhat.com> - 1.0-1
- update to new upstream version 1.0

* Wed Apr 06 2011 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.11.beta9
- rebuild for new boost

* Tue Mar 15 2011 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.10.beta9
- update to new upstream version 1.0-beta9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.9.beta8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 1.0-0.8.beta8
- rebuild for new boost

* Wed Nov 10 2010 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.7.beta8
- update to new upstream version 1.0-beta8

* Tue Oct 19 2010 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.6.beta7
- update to new upstream version 1.0-beta7

* Mon Aug 30 2010 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.5.beta6
- update to new upstream version 1.0-beta6

* Tue Aug 10 2010 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.4.beta5
- build with avahi-devel to get DNSSD Support

* Wed Aug 04 2010 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.3.beta5
- build with optflags
- preserve swift.xpm timestamp
- fixed license and install COPYING file
- fixed Changelog entries

* Wed Jul 28 2010 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.2.beta5
- delete all unused bundled libraries
- don't use deprecated BuildRoot tag
- swift.xpm replaced by icon from swift tarball

* Wed Jul 28 2010 Jan Kaluza <jkaluza@redhat.com> - 1.0-0.1.beta5
- created this SPEC file
